/* @Packager.Header
<FileDescription>
	Manages the DOM anscensors element list of a specific DOM node
	(limited to body, inclusive).
</FileDescription>
<Author name="Frederico Caldeira Knabben" email="www.fckeditor.net" />
*/

// TODO: Implement IE cleanup.

var FCKElementPath = function( lastNode )
{
	var eBlock = null ;
	var eBlockLimit = null ;
	
	var aElements = new Array() ;
	
	var e = lastNode ;
	while ( e ) 
	{
		if ( e.nodeType == 1 )
		{
			if ( !this.LastElement )
				this.LastElement = e ;

			var sElementName = e.nodeName.toLowerCase() ;
			
			if ( !eBlockLimit && !eBlock && FCKListsLib.PathBlockElements[ sElementName ] != null )
				eBlock = e ;
				
			// TODO: Review the Regex and move it to the RegexLib.
			if ( !eBlockLimit && (/^(?:body|td|th|caption|form)$/).test( sElementName ) )
				eBlockLimit = e ;

			aElements.push( e ) ;
			
			if ( sElementName == 'BODY' )
				break ; 
		}
		e = e.parentNode ;
	}
	
	this.Block = eBlock ;
	this.BlockLimit = eBlockLimit ;
	this.Elements = aElements ;
}

